Issue2066

classification
Title: easy_install -- ssl_support -- module has no attribute 'CERT_REQUIRED'
Type: crash Severity: major
Components: Core Versions: Jython 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: zyasoft Nosy List: EnigmaCurry, tjb1982, zyasoft
Priority: urgent Keywords:

Created on 2013-07-07.00:38:57 by tjb1982, last changed 2014-05-10.05:41:45 by zyasoft.

Files
File name Uploaded Description Edit Remove
easy_install_stack_trace.txt tjb1982, 2013-07-07.00:38:52 stack trace
Messages
msg8058 (view) Author: Tom Brennan (tjb1982) Date: 2013-07-07.00:38:52
easy_install crashes with reference to sll.CERT_REQUIRED missing
msg8059 (view) Author: Tom Brennan (tjb1982) Date: 2013-07-07.00:41:32
easy_install crashes saying ssl.CERT_REQUIRED is missing
msg8240 (view) Author: Jim Baker (zyasoft) Date: 2014-02-10.00:06:22
There is a workaround in my jython-ssl branch (https://bitbucket.org/jimbaker/jython-ssl); a real fix is awaiting the completion of the socket-reboot work (https://github.com/jimbaker/socket-reboot)
msg8333 (view) Author: Jim Baker (zyasoft) Date: 2014-05-04.20:35:20
Fixed in https://bitbucket.org/jimbaker/jython-socket-reboot, to be merged in shortly to Jython trunk
msg8357 (view) Author: Jim Baker (zyasoft) Date: 2014-05-10.05:16:23
Fixed in Jython trunk
History
Date User Action Args
2014-05-10 05:41:45zyasoftsetstatus: pending -> closed
2014-05-10 05:16:23zyasoftsetstatus: open -> pending
resolution: accepted -> fixed
messages: + msg8357
2014-05-04 20:35:20zyasoftsetmessages: + msg8333
2014-02-12 04:11:05EnigmaCurrysetnosy: + EnigmaCurry
2014-02-10 00:06:22zyasoftsetpriority: urgent
assignee: zyasoft
resolution: accepted
messages: + msg8240
nosy: + zyasoft
2013-07-07 00:41:32tjb1982setmessages: + msg8059
2013-07-07 00:40:58tjb1982settitle: ssl_support -- module has no attribute 'CERT_REQUIRED' -> easy_install -- ssl_support -- module has no attribute 'CERT_REQUIRED'
2013-07-07 00:38:58tjb1982create